Package: org.codehaus.groovy.ant

## [Java] Class CompileTaskSupport

- org.codehaus.groovy.ant.CompileTaskSupport

-     public abstract class CompileTaskSupport
      extends MatchingTask

  Support for compilation related tasks.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Path` | `classpath` |
    `protected CompilerConfiguration` | `config` |
    `protected File` | `destdir` |
    `protected boolean` | `failOnError` |
    `protected LoggingHelper` | `log` |
    `protected Path` | `src` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract void` | `compile()`
    `` | `protected GroovyClassLoader` | `createClassLoader()`
    `` | `public Path` | `createClasspath()`
    `` | `public CompilerConfiguration` | `createConfiguration()`
    `` | `public Path` | `createSrc()`
    `` | `public void` | `execute()`
    `` | `public Path` | `getClasspath()`
    `` | `public boolean` | `getFailonerror()`
    `` | `public Path` | `getSrcdir()`
    `` | `protected void` | `handleException(Exception e)`
    `` | `public void` | `setClasspath(Path path)`
    `` | `public void` | `setClasspathRef(Reference r)`
    `` | `public void` | `setDestdir(File dir)`
    `` | `public void` | `setFailonerror(boolean fail)`
    `` | `public void` | `setSrcdir(Path dir)`
    `` | `protected void` | `validate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setIncludes, setExcludes, setCaseSensitive, addDate, setFollowSymlinks, setProject, getSelectors, addSelector, XsetIgnore, XsetItems, hasSelectors, createInclude, createExclude, createExcludesFile, createIncludesFile, setIncludesfile, setExcludesfile, selectorCount, selectorElements, addMajority, addNot, addContains, addNone, addSize, addAnd, addDifferent, addCustom, addDepth, addOr, appendSelector, addModified, addPresent, addContainsRegexp, createPatternSet, addDepend, setDefaultexcludes, addFilename, log, log, log, log, init, execute, getTaskName, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskType, setTaskType, setOwningTarget, getOwningTarget, setTaskName, maybeConfigure, perform, bindToOwner, reconfigure, clone, getLocation, getDescription, setDescription, getProject, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Path classpath

    - #### protected CompilerConfiguration config

    - #### protected File destdir

    - #### protected boolean failOnError

    - #### protected final LoggingHelper log

    - #### protected Path src

  - ### Method Detail

    - #### protected abstract void compile()

    - #### protected GroovyClassLoader createClassLoader()

    - #### public Path createClasspath()

    - #### public CompilerConfiguration createConfiguration()

    - #### public Path createSrc()

    - #### public void execute()

    - #### public Path getClasspath()

    - #### public boolean getFailonerror()

    - #### public Path getSrcdir()

    - #### protected void handleException(Exception e)

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setFailonerror(boolean fail)

    - #### public void setSrcdir(Path dir)

    - #### protected void validate()